AOZ Studio Beta - Bug #497

Editor Scroll pot not aligning up with code. (Erratic scrolling position)
09/16/2020 11:47 AM - malcolm harvey

Status: Closed Start date: 09/16/2020
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: 1.0.0 (B8) u15

Description

Now the Editor Scrolling pot (Grey), this still does not line up, it can either do two nasty things.

1) Because it does not line up at all with the text the further it goes down the page, it ends up, way of the bottom under the code at
the bottom.
At the top it seams to start out ok, but as it goes further down it gets out of alignment.

2) Also alot of the time, if you grab it the pot slider, it scrolls not correctly and does not match the code at all.
Sometimes yes, alot of the time, it goes way to fast than the code. Currently not correct. other times it can almost be correct.

3) Lastly, if you happen to scroll way of the bottom, only way to really get it back in position again, is to click way up above the pot
control on the right, and eventually after clicking up there for 3 or 4 times it will eventually correct itself

Note: This used to work in previous versions quite some time ago and also the pot was 100% correct when it reached the bottom
even in split screen mode originally, it worked also correctly.

History

#1 - 09/16/2020 01:29 PM - Brian Flanagan
- Estimated time set to 2:00 h

#2 - 03/08/2021 11:13 PM - malcolm harvey
- Affected version changed from Beta RC2 to 1.0.0 (B4)

Note: These issues above are when working with large source code, again becomes more and more noticeable each 1000 lines you put down the
editor.

Points 1 & 2 still ongoing above in B4 v1.0.0.

Point 3 above update on this behavior how it comes about: ie: This 3rd problem comes about if you drag the code highlight large grey square (default
right) and pull it right down say to the bottom of large code, say 20000-60000 in size, then what happens because of the same problem as the small
pot slider not keeping position with code again with large code, you see a tiny section of the large code highlighter showing bottom right the rest is
gone from view past bottom of editor, and then you cant grab it at all, but doing the point 3 above, fixes it again or as it describes, clicking multiple
times above up from the large code highlight square brings it finally into showing again.

#3 - 04/01/2021 03:29 PM - Francois Lionet

- Assignee changed from AOZ Studio Team to Baptiste Bideaux

mmm le joli bug. Prends en soin Baptiste. :)

#4 - 04/01/2021 10:19 PM - malcolm harvey

A little update...With the point 3 above.. | rewrote this a little below to help understand that.
This can happen with even a few thousand lines of code as well not just huge code.
Oddly enough, Even long long ago, in 0.9.9.4 it did work correctly.

When you scroll down to your last page, it always used to stop at the last line there was code in, all the recent versions have about 33/34 lines
added to the bottom of each one, blank lines. Even new aoz applications seam to have this problem usually happens after the first page of code.

The pot used to also line up with the code, or rather when the pot hit the bottom, it aligned up with the last line of your code no matter

how long it was, now in later versions again from long long ago after (0.9.9.4) it does not unfortunately, alot of the time, it actually scrolls of the bottom
again thinking that it has to position itself about 33/34 lines of the bottom because of the added blank bottom lines, and then it wont actually scroll
back up at all, you have to click above the big grey code highlight pot slider (next to the little blue one) multiple times above it and eventually it will
scroll back up.
#5 - 09/17/2021 10:40 PM - Brian Flanagan

They say that a picture is worth 1000 words.
Can you please send a screen snapshot of the out of line code that illustrates the problem?

#6 - 09/17/2021 10:48 PM - malcolm harvey
- File End stop.png added
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B8) u15

Here you can see from the screenshot, that the last line should stop at line 62328, and according to the code highlight bottom right it is at the bottom,
but yet the cursor in the editor has approximately 33/34 lines under it, not correct does not match.

#7 - 01/20/2023 01:19 AM - malcolm harvey

- Status changed from New to Closed
Atom is being done away with so closing this ticket, wont be relevant.

Files

End stop.png 196 KB 09/17/2021 malcolm harvey
